source: trunk/doc/debug_tcltk.html @ 930

Last change on this file since 930 was 930, checked in by toby, 11 years ago

rcs:* properties removed

  • Property svn:keywords set to Author Date Revision Id
File size: 3.1 KB
Line 
1<HTML>
2<HEAD>
3   <TITLE>Testing problems in Tck/Tk for EXPGUI, etc.</TITLE>
4</HEAD>
5<style>
6A:link {text-decoration:none}
7A:vlink {text-decoration:none}
8</style>
9
10<BODY BGCOLOR="#FFFFFF"
11      topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" 
12      text="#000000" link="#0033ff" vlink="#0033ff" alink="#0033ff">
13
14<?
15   include("/var/www/include/navigation.inc");
16   include("/var/www/include/utility.inc");
17?>
18<blockquote><font face="arial, helvetica, sans-serif">
19
20<TABLE BORDER BGCOLOR="#FFFF40" ALIGN=RIGHT>
21<TR><TH><A  Href="expgui.html">EXPGUI home</A> 
22</TH></TR></TABLE><BR CLEAR=ALL>
23<CENTER><H1>
24<HR noshade width="75%" size="2" align="center">
25Testing problems in Tck/Tk for EXPGUI, etc.
26<HR noshade width="75%" size="2" align="center">
27</H1></CENTER>
28<h4>Problems</H4>
29EXPGUI (and soon CMPR) is distributed with a version of Tcl/Tk
30that includes the Tkcon, BWidget and BLT packages included within the Tcl/Tk
31executable. The Bwidget package is required for EXPGUI (someday the
32same for CMPR). The BLT package is required for CMPR and is needed by all the
33graphics routines in EXPGUI. The Tkcon package is optional.
34EXPGUI includes the La (Linear algebra) package for use in the BKGFIT
35routine.
36<P>
37If you are not using the version of Tcl/Tk packaged with the program,
38perhaps because you want to use them on a platform other than the
39ones supported by me, you will need to confirm that these packages
40work properly.
41You can test if Tcl/Tk and the BLT package are installed correctly using the
42following unix commands:
43(In Windows, instead double-click on the appropriate icon.)
44<PRE>
45     [d120234:~] toby% wish
46     % package require BLT
47     2.4
48     % pack [blt::graph .g]
49     % Blt_ZoomStack .g
50     % exit
51</PRE>
52When you type "wish" and press Enter, a new small blank window should appear.
53when you type the 2nd line, "package require BLT," there will be no change in
54the blank window, but the computer should respond "2.4". After the
55"pack [blt::graph .g]" command is entered, a set of x- and y-axes should appear
56in this window. After the Blt_ZoomStack command is typed the plot should "zoom" with the mouse.
57
58The window should disappear after "exit" is typed.
59
60Problems:
61<OL>
62<LI> If wish does not work, then Tcl/Tk is not installed or is not found in the path
63
64<LI> if the package require command is not working then BLT is not loaded or is not found by Tcl/Tk
65
66<LI> if the pack command does not work, you probably mistyped it (assuming that 1 & 2 worked OK)
67
68<LI> if the Blt_ZoomStack command does not work, then BLT is not finding the support file bltGraph.tcl.
69    This is usually found by looking for a subdirectory named .../blt2.4/
70in one of the directories referenced by tcl variable auto_path;  this command
71causes file .../blt2.4/pkgIndex.tcl to be loaded which references the libBLT.so
72file (for example) and the bltGraph.tcl file.
73</OL>
74<P>
75Likewise, this command should work for BWidget:
76<PRE>
77     [d120234:~] toby% wish
78     % package require BWidget
79     1.6
80     % exit
81</PRE>
82Note that EXPGUI and CMPR have not been tested with BWidget versions later
83than 1.6.
84
85</HTML>
Note: See TracBrowser for help on using the repository browser.